PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Buck
PDL API Reference » SysPm (System Power Management) » Functions » Core Voltage Regulation

## General Description

## Functions
__STATIC_INLINE cy_en_syspm_status_t | Cy_SysPm_CoreBuckStatus (void)
| Get the status of Core Buck Regulator. More...
__STATIC_INLINE cy_en_syspm_status_t | Cy_SysPm_CoreBuckSetVoltage (cy_en_syspm_core_buck_voltage_t voltage)
| Set the Core Buck Regulator Voltage. More...
__STATIC_INLINE cy_en_syspm_core_buck_voltage_t | Cy_SysPm_CoreBuckGetVoltage (void)
| Get the Core Buck Regulator Voltage. More...
__STATIC_INLINE void | Cy_SysPm_CoreBuckSetMode (cy_en_syspm_core_buck_mode_t mode)
| Set the Core Buck Regulator mode. More...
__STATIC_INLINE cy_en_syspm_core_buck_mode_t | Cy_SysPm_CoreBuckGetMode (void)
| Get the Core Buck Regulator Mode. More...
__STATIC_INLINE cy_en_syspm_status_t | Cy_SysPm_CoreBuckDpslpSetVoltage (cy_en_syspm_core_buck_voltage_t voltage)
| Set the Deepsleep mode Core Buck Regulator Voltage. More...
__STATIC_INLINE cy_en_syspm_core_buck_voltage_t | Cy_SysPm_CoreBuckDpslpGetVoltage (void)
| Get the Deepsleep Core Buck Regulator Voltage. More...
__STATIC_INLINE void | Cy_SysPm_CoreBuckDpslpSetMode (cy_en_syspm_core_buck_mode_t mode)
| Set the Deepsleep Core Buck Regulator mode. More...
__STATIC_INLINE cy_en_syspm_core_buck_mode_t | Cy_SysPm_CoreBuckDpslpGetMode (void)
| Get the Deepsleep Core Buck Regulator Mode. More...
__STATIC_INLINE void | Cy_SysPm_CoreBuckDpslpEnableOverride (bool enable)
| Enable the Override feature for core buck during Deepsleep. More...
__STATIC_INLINE bool | Cy_SysPm_CoreBuckDpslpIsOverrideEnabled (void)
| Checks if Override feature of core buck during deepsleep is enabled or not. More...
__STATIC_INLINE void | Cy_SysPm_CoreBuckSetProfile (cy_en_syspm_core_buck_profile_t profile)
| Set the Core Buck Regulator Profile. More...
__STATIC_INLINE cy_en_syspm_core_buck_profile_t | Cy_SysPm_CoreBuckGetProfile (void)
| Get the Core Buck Regulator Profile. More...
cy_en_syspm_status_t | Cy_SysPm_RetLdoStatus (void)
| Get the status of RETLDO Regulator. More...
cy_en_syspm_status_t | Cy_SysPm_RetLdoConfigure (cy_stc_syspm_retldo_params_t *retLdoParam)
| Configures the RETLDO Regulator. More...
cy_en_syspm_status_t | Cy_SysPm_SramLdoStatus (void)
| Get the status of SRAMLDO Regulator. More...
cy_en_syspm_status_t | Cy_SysPm_SramLdoConfigure (cy_stc_syspm_sramldo_params_t *sramLdoParam)
| Configures the SRAMLDO Regulator. More...
__STATIC_INLINE cy_en_syspm_status_t | Cy_SysPm_SramLdoEnable (bool enable)
| Enable/Disable SRAMLDO Regulator. More...
__STATIC_INLINE void | Cy_SysPm_SramLdoSetVoltage (cy_en_syspm_sramldo_voltage_t voltage)
| Set SRAM LDO Voltage. More...
__STATIC_INLINE cy_en_syspm_sramldo_voltage_t | Cy_SysPm_SramLdoGetVoltage (void)
| Get the SRAM LDO Voltage. More...
cy_en_syspm_status_t | Cy_SysPm_MiscLdoStatus (void)
| Get the status of MISCLDO Regulator. More...
cy_en_syspm_status_t | Cy_SysPm_MiscLdoConfigure (cy_stc_syspm_miscldo_params_t *miscLdoParam)
| Configures the MISCLDO Regulator. More...

## Function Documentation

## ◆ Cy_SysPm_CoreBuckStatus()

__STATIC_INLINE cy_en_syspm_status_t Cy_SysPm_CoreBuckStatus | ( | void |  | ) |

Get the status of Core Buck Regulator.

Returns
  Gets enum value of type cy_en_syspm_status_t

## ◆ Cy_SysPm_CoreBuckSetVoltage()

__STATIC_INLINE cy_en_syspm_status_t Cy_SysPm_CoreBuckSetVoltage | ( | cy_en_syspm_core_buck_voltage_t | voltage | ) |

Set the Core Buck Regulator Voltage.

Parameters

  voltage | Pick from cy_en_syspm_core_buck_voltage_t

Returns
  see cy_en_syspm_status_t.

## ◆ Cy_SysPm_CoreBuckGetVoltage()

__STATIC_INLINE cy_en_syspm_core_buck_voltage_t Cy_SysPm_CoreBuckGetVoltage | ( | void |  | ) |

Get the Core Buck Regulator Voltage.

Returns
  Gets enum value of type cy_en_syspm_core_buck_voltage_t

## ◆ Cy_SysPm_CoreBuckSetMode()

__STATIC_INLINE void Cy_SysPm_CoreBuckSetMode | ( | cy_en_syspm_core_buck_mode_t | mode | ) |

Set the Core Buck Regulator mode.

Parameters

  mode | Pick from cy_en_syspm_core_buck_mode_t

## ◆ Cy_SysPm_CoreBuckGetMode()

__STATIC_INLINE cy_en_syspm_core_buck_mode_t Cy_SysPm_CoreBuckGetMode | ( | void |  | ) |

Get the Core Buck Regulator Mode.

Returns
  Gets enum value of type cy_en_syspm_core_buck_mode_t

## ◆ Cy_SysPm_CoreBuckDpslpSetVoltage()

__STATIC_INLINE cy_en_syspm_status_t Cy_SysPm_CoreBuckDpslpSetVoltage | ( | cy_en_syspm_core_buck_voltage_t | voltage | ) |

Set the Deepsleep mode Core Buck Regulator Voltage.

Parameters

  voltage | Pick from cy_en_syspm_core_buck_voltage_t

## ◆ Cy_SysPm_CoreBuckDpslpGetVoltage()

__STATIC_INLINE cy_en_syspm_core_buck_voltage_t Cy_SysPm_CoreBuckDpslpGetVoltage | ( | void |  | ) |

Get the Deepsleep Core Buck Regulator Voltage.

Returns
  Gets enum value of type cy_en_syspm_core_buck_voltage_t
  see cy_en_syspm_status_t.

## ◆ Cy_SysPm_CoreBuckDpslpSetMode()

__STATIC_INLINE void Cy_SysPm_CoreBuckDpslpSetMode | ( | cy_en_syspm_core_buck_mode_t | mode | ) |

Set the Deepsleep Core Buck Regulator mode.

Parameters

  mode | Pick from cy_en_syspm_core_buck_mode_t

## ◆ Cy_SysPm_CoreBuckDpslpGetMode()

__STATIC_INLINE cy_en_syspm_core_buck_mode_t Cy_SysPm_CoreBuckDpslpGetMode | ( | void |  | ) |

Get the Deepsleep Core Buck Regulator Mode.

Returns
  Gets enum value of type cy_en_syspm_core_buck_mode_t

## ◆ Cy_SysPm_CoreBuckDpslpEnableOverride()

__STATIC_INLINE void Cy_SysPm_CoreBuckDpslpEnableOverride | ( | bool | enable | ) |

Enable the Override feature for core buck during Deepsleep.

Parameters

  enable | true - enable, false - disable

## ◆ Cy_SysPm_CoreBuckDpslpIsOverrideEnabled()

__STATIC_INLINE bool Cy_SysPm_CoreBuckDpslpIsOverrideEnabled | ( | void |  | ) |

Checks if Override feature of core buck during deepsleep is enabled or not.

Returns
  True if enabled, False if disabled.

## ◆ Cy_SysPm_CoreBuckSetProfile()

__STATIC_INLINE void Cy_SysPm_CoreBuckSetProfile | ( | cy_en_syspm_core_buck_profile_t | profile | ) |

Set the Core Buck Regulator Profile.

Parameters

  profile | Pick from cy_en_syspm_core_buck_profile_t

## ◆ Cy_SysPm_CoreBuckGetProfile()

__STATIC_INLINE cy_en_syspm_core_buck_profile_t Cy_SysPm_CoreBuckGetProfile | ( | void |  | ) |

Get the Core Buck Regulator Profile.

Returns
  Gets enum value of type cy_en_syspm_core_buck_profile_t

## ◆ Cy_SysPm_RetLdoStatus()

cy_en_syspm_status_t Cy_SysPm_RetLdoStatus | ( | void |  | ) |

Get the status of RETLDO Regulator.

Returns
  Gets enum value of type cy_en_syspm_status_t

## ◆ Cy_SysPm_RetLdoConfigure()

cy_en_syspm_status_t Cy_SysPm_RetLdoConfigure | ( | cy_stc_syspm_retldo_params_t * | retLdoParam | ) |

Configures the RETLDO Regulator.

Parameters

  retLdoParam | Structure containing the config parameters, cy_stc_syspm_retldo_params_t

Returns
  see cy_en_syspm_status_t.

## ◆ Cy_SysPm_SramLdoStatus()

cy_en_syspm_status_t Cy_SysPm_SramLdoStatus | ( | void |  | ) |

Get the status of SRAMLDO Regulator.

Returns
  Gets enum value of type cy_en_syspm_status_t

## ◆ Cy_SysPm_SramLdoConfigure()

cy_en_syspm_status_t Cy_SysPm_SramLdoConfigure | ( | cy_stc_syspm_sramldo_params_t * | sramLdoParam | ) |

Configures the SRAMLDO Regulator.

Parameters

  sramLdoParam | Structure containing the config parameters, cy_stc_syspm_sramldo_params_t

Returns
  see cy_en_syspm_status_t.

## ◆ Cy_SysPm_SramLdoEnable()

__STATIC_INLINE cy_en_syspm_status_t Cy_SysPm_SramLdoEnable | ( | bool | enable | ) |

Enable/Disable SRAMLDO Regulator.

Parameters

  enable | true - enable, false - disable

Returns
  see cy_en_syspm_status_t.

## ◆ Cy_SysPm_SramLdoSetVoltage()

__STATIC_INLINE void Cy_SysPm_SramLdoSetVoltage | ( | cy_en_syspm_sramldo_voltage_t | voltage | ) |

Set SRAM LDO Voltage.

Parameters

  voltage | Enum cy_en_syspm_sramldo_voltage_t

## ◆ Cy_SysPm_SramLdoGetVoltage()

__STATIC_INLINE cy_en_syspm_sramldo_voltage_t Cy_SysPm_SramLdoGetVoltage | ( | void |  | ) |

Get the SRAM LDO Voltage.

Returns
  Gets enum value of type cy_en_syspm_sramldo_voltage_t

## ◆ Cy_SysPm_MiscLdoStatus()

cy_en_syspm_status_t Cy_SysPm_MiscLdoStatus | ( | void |  | ) |

Get the status of MISCLDO Regulator.

Returns
  Gets enum value of type cy_en_syspm_status_t

## ◆ Cy_SysPm_MiscLdoConfigure()

cy_en_syspm_status_t Cy_SysPm_MiscLdoConfigure | ( | cy_stc_syspm_miscldo_params_t * | miscLdoParam | ) |

Configures the MISCLDO Regulator.

Parameters

  miscLdoParam | Structure containing the config parameters, cy_stc_syspm_miscldo_params_t

Returns
  see cy_en_syspm_status_t.